"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Utils = void 0;
const OSUtils_1 = require("./OSUtils");
/**
 * Random utility methods that don't fit other place.
 */
class Utils {
    static secureString(text) {
        const regex = new RegExp('[0-9a-fA-F]{64}', 'g');
        return text.replace(regex, 'HIDDEN_KEY');
    }
    static validateIsDefined(value, message) {
        if (value === undefined || value === null) {
            throw new Error(message);
        }
    }
    static validateIsTrue(value, message) {
        if (!value) {
            throw new Error(message);
        }
    }
    static logSameLineMessage(message) {
        process.stdout.write(OSUtils_1.OSUtils.isWindows() ? '\x1b[0G' : '\r');
        process.stdout.write(message);
    }
}
exports.Utils = Utils;
